using System;
using System.Collections.Generic;
using System.Text;
using nft.util;
using System.Windows.Forms;
using System.Drawing;

namespace nft.core.game {
    public interface IMapGeneSetupPanel {
        void UpdateView(ParamSet param);
        //void Deactivated();
        void RequestCurrentParams(ref ParamSet param);
        bool IsDisposed { get; }
    }

    /*
    public class MapGeneSetupPanel : UserControl, IMapGeneSetupPanel {
        #region IMapGeneSetupPanel メンバ

        public virtual void OnApplyValue(ref ParamSet param) {
        }

        public void UpdateView(ParamSet param) {
        }

        #endregion
    }
    */
}
